package com.chinaitop.depot.intelligent.fumigation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TFumigationPesticide {
    private String id;

    private String fumigationId;

    private Integer majorInsectPests;

    private String insectDensity;

    private String occurrencePlace;

    private Date insectProductTime;

    private Integer drugName;

    private String drugPurity;

    private String useDrugType;

    private Date plannDrugStartTime;

    private Date plannDrugUseUpTime;

    private String plannDrugCount;

    private String sealType;

    private String settingConcentration;

    private String concentrationCheckType;

    private String bulkGasType;

    private Integer drugUserNumber;

    private String pesticideOperator;

    private Integer creater;

    private Date createTime;

    private Date updateTime;

    private Integer state;

    private String approvePeople;

    private String approveDepartment;

    private String approveNote;

    private Date approveTime;

    private String orgId;

    private String syryzzqk;

    private String syzzsh;

    private String jx;

    private BigDecimal lddwyyl;

    private BigDecimal kjdwyyl;

    private String syff;

    private String fzsycs;

    private String deleteState;

    private Date updatetime;

    /**
     * 施药任务表
     * @return id 施药任务表
     */
    public String getId() {
        return id;
    }

    /**
     * 施药任务表
     * @param id 施药任务表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 熏蒸计划ID
     * @return fumigation_id 熏蒸计划ID
     */
    public String getFumigationId() {
        return fumigationId;
    }

    /**
     * 熏蒸计划ID
     * @param fumigationId 熏蒸计划ID
     */
    public void setFumigationId(String fumigationId) {
        this.fumigationId = fumigationId == null ? null : fumigationId.trim();
    }

    /**
     * 主要虫害
     * @return major_insect_pests 主要虫害
     */
    public Integer getMajorInsectPests() {
        return majorInsectPests;
    }

    /**
     * 主要虫害
     * @param majorInsectPests 主要虫害
     */
    public void setMajorInsectPests(Integer majorInsectPests) {
        this.majorInsectPests = majorInsectPests;
    }

    /**
     * 害虫密度（头/公斤）
     * @return insect_density 害虫密度（头/公斤）
     */
    public String getInsectDensity() {
        return insectDensity;
    }

    /**
     * 害虫密度（头/公斤）
     * @param insectDensity 害虫密度（头/公斤）
     */
    public void setInsectDensity(String insectDensity) {
        this.insectDensity = insectDensity == null ? null : insectDensity.trim();
    }

    /**
     * 发生部位
     * @return occurrence_place 发生部位
     */
    public String getOccurrencePlace() {
        return occurrencePlace;
    }

    /**
     * 发生部位
     * @param occurrencePlace 发生部位
     */
    public void setOccurrencePlace(String occurrencePlace) {
        this.occurrencePlace = occurrencePlace == null ? null : occurrencePlace.trim();
    }

    /**
     * 生虫时间
     * @return insect_product_time 生虫时间
     */
    public Date getInsectProductTime() {
        return insectProductTime;
    }

    /**
     * 生虫时间
     * @param insectProductTime 生虫时间
     */
    public void setInsectProductTime(Date insectProductTime) {
        this.insectProductTime = insectProductTime;
    }

    /**
     * 药剂名称
     * @return drug_name 药剂名称
     */
    public Integer getDrugName() {
        return drugName;
    }

    /**
     * 药剂名称
     * @param drugName 药剂名称
     */
    public void setDrugName(Integer drugName) {
        this.drugName = drugName;
    }

    /**
     * 药剂纯度(%)
     * @return drug_purity 药剂纯度(%)
     */
    public String getDrugPurity() {
        return drugPurity;
    }

    /**
     * 药剂纯度(%)
     * @param drugPurity 药剂纯度(%)
     */
    public void setDrugPurity(String drugPurity) {
        this.drugPurity = drugPurity == null ? null : drugPurity.trim();
    }

    /**
     * 施药方法
     * @return use_drug_type 施药方法
     */
    public String getUseDrugType() {
        return useDrugType;
    }

    /**
     * 施药方法
     * @param useDrugType 施药方法
     */
    public void setUseDrugType(String useDrugType) {
        this.useDrugType = useDrugType == null ? null : useDrugType.trim();
    }

    /**
     * 计划施药开始时间
     * @return plann_drug_start_time 计划施药开始时间
     */
    public Date getPlannDrugStartTime() {
        return plannDrugStartTime;
    }

    /**
     * 计划施药开始时间
     * @param plannDrugStartTime 计划施药开始时间
     */
    public void setPlannDrugStartTime(Date plannDrugStartTime) {
        this.plannDrugStartTime = plannDrugStartTime;
    }

    /**
     * 计划施药截至时间
     * @return plann_drug_use_up_time 计划施药截至时间
     */
    public Date getPlannDrugUseUpTime() {
        return plannDrugUseUpTime;
    }

    /**
     * 计划施药截至时间
     * @param plannDrugUseUpTime 计划施药截至时间
     */
    public void setPlannDrugUseUpTime(Date plannDrugUseUpTime) {
        this.plannDrugUseUpTime = plannDrugUseUpTime;
    }

    /**
     * 计划用药量
     * @return plann_drug_count 计划用药量
     */
    public String getPlannDrugCount() {
        return plannDrugCount;
    }

    /**
     * 计划用药量
     * @param plannDrugCount 计划用药量
     */
    public void setPlannDrugCount(String plannDrugCount) {
        this.plannDrugCount = plannDrugCount == null ? null : plannDrugCount.trim();
    }

    /**
     * 密闭方法
     * @return seal_type 密闭方法
     */
    public String getSealType() {
        return sealType;
    }

    /**
     * 密闭方法
     * @param sealType 密闭方法
     */
    public void setSealType(String sealType) {
        this.sealType = sealType == null ? null : sealType.trim();
    }

    /**
     * 设定浓度
     * @return setting_concentration 设定浓度
     */
    public String getSettingConcentration() {
        return settingConcentration;
    }

    /**
     * 设定浓度
     * @param settingConcentration 设定浓度
     */
    public void setSettingConcentration(String settingConcentration) {
        this.settingConcentration = settingConcentration == null ? null : settingConcentration.trim();
    }

    /**
     * 浓度检测方法
     * @return concentration_check_type 浓度检测方法
     */
    public String getConcentrationCheckType() {
        return concentrationCheckType;
    }

    /**
     * 浓度检测方法
     * @param concentrationCheckType 浓度检测方法
     */
    public void setConcentrationCheckType(String concentrationCheckType) {
        this.concentrationCheckType = concentrationCheckType == null ? null : concentrationCheckType.trim();
    }

    /**
     * 散气方法
     * @return bulk_gas_type 散气方法
     */
    public String getBulkGasType() {
        return bulkGasType;
    }

    /**
     * 散气方法
     * @param bulkGasType 散气方法
     */
    public void setBulkGasType(String bulkGasType) {
        this.bulkGasType = bulkGasType == null ? null : bulkGasType.trim();
    }

    /**
     * 施药人数
     * @return drug_user_number 施药人数
     */
    public Integer getDrugUserNumber() {
        return drugUserNumber;
    }

    /**
     * 施药人数
     * @param drugUserNumber 施药人数
     */
    public void setDrugUserNumber(Integer drugUserNumber) {
        this.drugUserNumber = drugUserNumber;
    }

    /**
     * 施药操作人员
     * @return pesticide_operator 施药操作人员
     */
    public String getPesticideOperator() {
        return pesticideOperator;
    }

    /**
     * 施药操作人员
     * @param pesticideOperator 施药操作人员
     */
    public void setPesticideOperator(String pesticideOperator) {
        this.pesticideOperator = pesticideOperator == null ? null : pesticideOperator.trim();
    }

    /**
     * 创建人id
     * @return creater 创建人id
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人id
     * @param creater 创建人id
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     *  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     * @return state  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     */
    public Integer getState() {
        return state;
    }

    /**
     *  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     * @param state  0待提交，1待审批，2驳回，3拒绝，4通过，5作业中，6作业结束
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 审批工作人员
     * @return approve_people 审批工作人员
     */
    public String getApprovePeople() {
        return approvePeople;
    }

    /**
     * 审批工作人员
     * @param approvePeople 审批工作人员
     */
    public void setApprovePeople(String approvePeople) {
        this.approvePeople = approvePeople == null ? null : approvePeople.trim();
    }

    /**
     * 审批部门
     * @return approve_department 审批部门
     */
    public String getApproveDepartment() {
        return approveDepartment;
    }

    /**
     * 审批部门
     * @param approveDepartment 审批部门
     */
    public void setApproveDepartment(String approveDepartment) {
        this.approveDepartment = approveDepartment == null ? null : approveDepartment.trim();
    }

    /**
     * 审批意见
     * @return approve_note 审批意见
     */
    public String getApproveNote() {
        return approveNote;
    }

    /**
     * 审批意见
     * @param approveNote 审批意见
     */
    public void setApproveNote(String approveNote) {
        this.approveNote = approveNote == null ? null : approveNote.trim();
    }

    /**
     * 审批时间
     * @return approve_time 审批时间
     */
    public Date getApproveTime() {
        return approveTime;
    }

    /**
     * 审批时间
     * @param approveTime 审批时间
     */
    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    /**
     * 粮库id
     * @return org_id 粮库id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 粮库id
     * @param orgId 粮库id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 施药人员资质情况
     * @return syryzzqk 施药人员资质情况
     */
    public String getSyryzzqk() {
        return syryzzqk;
    }

    /**
     * 施药人员资质情况
     * @param syryzzqk 施药人员资质情况
     */
    public void setSyryzzqk(String syryzzqk) {
        this.syryzzqk = syryzzqk == null ? null : syryzzqk.trim();
    }

    /**
     * 施药资质审核
     * @return syzzsh 施药资质审核
     */
    public String getSyzzsh() {
        return syzzsh;
    }

    /**
     * 施药资质审核
     * @param syzzsh 施药资质审核
     */
    public void setSyzzsh(String syzzsh) {
        this.syzzsh = syzzsh == null ? null : syzzsh.trim();
    }

    /**
     * 剂型
     * @return jx 剂型
     */
    public String getJx() {
        return jx;
    }

    /**
     * 剂型
     * @param jx 剂型
     */
    public void setJx(String jx) {
        this.jx = jx == null ? null : jx.trim();
    }

    /**
     * 粮堆单位用药量
     * @return lddwyyl 粮堆单位用药量
     */
    public BigDecimal getLddwyyl() {
        return lddwyyl;
    }

    /**
     * 粮堆单位用药量
     * @param lddwyyl 粮堆单位用药量
     */
    public void setLddwyyl(BigDecimal lddwyyl) {
        this.lddwyyl = lddwyyl;
    }

    /**
     * 空间单位用药量
     * @return kjdwyyl 空间单位用药量
     */
    public BigDecimal getKjdwyyl() {
        return kjdwyyl;
    }

    /**
     * 空间单位用药量
     * @param kjdwyyl 空间单位用药量
     */
    public void setKjdwyyl(BigDecimal kjdwyyl) {
        this.kjdwyyl = kjdwyyl;
    }

    /**
     * 施药方法
     * @return syff 施药方法
     */
    public String getSyff() {
        return syff;
    }

    /**
     * 施药方法
     * @param syff 施药方法
     */
    public void setSyff(String syff) {
        this.syff = syff == null ? null : syff.trim();
    }

    /**
     * 辅助施药措施
     * @return fzsycs 辅助施药措施
     */
    public String getFzsycs() {
        return fzsycs;
    }

    /**
     * 辅助施药措施
     * @param fzsycs 辅助施药措施
     */
    public void setFzsycs(String fzsycs) {
        this.fzsycs = fzsycs == null ? null : fzsycs.trim();
    }

    /**
     * 删除标志
     * @return delete_state 删除标志
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 删除标志
     * @param deleteState 删除标志
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}